package cn.breeze.elleai.domain.sparring.model.request;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class HotQaSaveModel implements Serializable {

    private Integer id;

    /**
     * 问题
     */
    private String question;

    /**
     * 答案
     */
    private String answer;

    /**
     * 助手ID
     */
    private Integer assistantId;

    /**
     * 排序优先级
     */
    private Integer sortIndex;

    /**
     * 状态（0禁用 1启用）
     */
    private Integer status;

    /**
     * 是否删除（0否 1是）
     */
    private Integer deleted;

    /**
     * 创建时间
     */
    private Date createTime;

    
}
