package cn.breeze.elleai.domain.sparring.model.request;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class UserQaHistorySaveModel implements Serializable {

    private Integer id;

    /**
     * 会话ID
     */
    private Integer chatCompletionId;

    /**
     * 类型（0用户提问 1AI回答）
     */
    private Integer type;

    /**
     * 问答助手ID
     */
    private Integer assistantId;

    /**
     * 内容
     */
    private String content;

    /**
     * 踩（0否 1是）
     */
    private Integer diss;

    /**
     * 赞（0否 1是）
     */
    private Integer likes;

    /**
     * AI回复用户消息ID
     */
    private Integer replyMessageId;
}
