package cn.breeze.elleai.domain.sparring.model.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WikiRequestModel implements Serializable {

    private Integer pageNo;

    private Integer pageSize;

    private String name;

    private Integer categoryId;

    private Integer wikiCategoryId;

    private Integer sceneCategoryId;

    private List<Integer> wikiCategoryIdList;

    private Integer status;
}
