package cn.breeze.elleai.application.dto.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
public class HotQaSaveDto implements Serializable {

    @Schema(description = "ID")
    private Integer id;

    /**
     * 问题
     */
    @Schema(description = "问题")
    private String question;

    @Schema(description = "助手ID")
    private Integer assistantId;

    /**
     * 答案
     */
    @Schema(description = "答案")
    private String answer;

    /**
     * 排序优先级
     */
    @Schema(description = "排序优先级")
    @JsonProperty("sort_index")
    private Integer sortIndex;

    /**
     * 状态（0禁用 1启用）
     */
    @Schema(description = "状态")
    private Integer status;
}
