package cn.breeze.elleai.application.dto.response;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * AI单题点评结果
 */
@Data
public class SubmitAnswerStreamResultDto implements Serializable {

    @Schema(description = "评分")
    private Float score;

    @Schema(description = "参考答案")
    private String answer;
}
