package cn.breeze.elleai.domain.sparring.model.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QaAssistantResponseModel implements Serializable {


    private Integer id;

    /**
     * 助手名称
     */
    private String name;

    /**
     * 助手描述
     */
    private String description;

    /**
     * 助手图标
     */
    private String iconUrl;

    /**
     * 知识库分类ID列表
     */
    private String categoryIds;

    /**
     * 可见角色列表
     */
    private String visibleRoleIds;

    /**
     * 检索范围（0内部知识库 1全网）
     */
    private Integer searchScope;

    /**
     * 状态（0禁用 1启用）
     */
    private Integer status;

    /**
     * 是否删除（0否 1是）
     */
    private Integer deleted;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
